Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MissingMethodExceptionNoStack

- org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

-     public class MissingMethodExceptionNoStack
      extends MissingMethodException

  A MissingMethodException that does not populate the stack trace. This exception is optimized for performance when the stack trace is not needed, as stack trace generation can be expensive.

  This exception is for internal use only.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingMethodExceptionNoStack(String method, Class type, Object[] arguments)` Constructs a new MissingMethodExceptionNoStack.
    `MissingMethodExceptionNoStack(String method, Class type, Object[] arguments, boolean isStatic)` Constructs a new MissingMethodExceptionNoStack.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Throwable` | `fillInStackTrace()` Overrides the default stack trace filling to optimize performance.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MissingMethodException` | `getArguments, getMessage, getMethod, getType, isStatic`
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public MissingMethodExceptionNoStack(String method, Class type, Object[] arguments)

      Constructs a new MissingMethodExceptionNoStack.

      Parameters:
        `method` - the name of the missing method
        `type` - the class where the method was not found
        `arguments` - the arguments that were passed to the missing method call

    - #### public MissingMethodExceptionNoStack(String method, Class type, Object[] arguments, boolean isStatic)

      Constructs a new MissingMethodExceptionNoStack.

      Parameters:
        `method` - the name of the missing method
        `type` - the class where the method was not found
        `arguments` - the arguments that were passed to the missing method call
        `isStatic` - true if the missing method was a static method, false otherwise

  - ### Method Detail

    - #### public Throwable fillInStackTrace()

      Overrides the default stack trace filling to optimize performance. Returns this exception without populating the stack trace.

      Returns:
        this exception unchanged